opencv: CvMatrix Class Reference

Public Member Functions | Protected Attributes

# CvMatrix Class Reference

`#include <legacy.hpp>`

List of all members.

## Public Member Functions
void | addref () const
int | channels () const
void | clear ()
CvMatrix | clone ()
int | cols () const
void | create (int rows, int cols, int type)
| CvMatrix (int rows, int cols, int type)
| CvMatrix (int rows, int cols, int type, CvMemStorage *storage, bool alloc_data=true)
| CvMatrix (const char *filename, const char *matname=0, int color=-1)
| CvMatrix (CvFileStorage *fs, const char *mapname, const char *matname)
| CvMatrix (int rows, int cols, int type, void *data, int step=CV_AUTOSTEP)
| CvMatrix (CvFileStorage *fs, const char *seqname, int idx)
| CvMatrix (CvMat *m)
| CvMatrix (int rows, int cols, int type, CvMat *hdr, void *data=0, int step=CV_AUTOSTEP)
| CvMatrix (const CvMatrix &m)
| CvMatrix ()
uchar * | data ()
const uchar * | data () const
int | depth () const
bool | is_valid ()
bool | load (const char *filename, const char *matname=0, int color=-1)
| operator const CvMat * () const
| operator CvMat * ()
CvMatrix & | operator= (const CvMatrix &_m)
int | pix_size () const
bool | read (CvFileStorage *fs, const char *seqname, int idx)
bool | read (CvFileStorage *fs, const char *mapname, const char *matname)
void | release ()
const uchar * | row (int i) const
uchar * | row (int i)
int | rows () const
void | save (const char *filename, const char *matname, const int *params=0)
void | set (CvMat *m, bool add_ref)
void | set_data (void *data, int step=CV_AUTOSTEP)
void | show (const char *window_name)
CvSize | size () const
int | step () const
int | type () const
void | write (CvFileStorage *fs, const char *matname)
| ~CvMatrix ()
## Protected Attributes
CvMat * | matrix

## Constructor & Destructor Documentation

CvMatrix::CvMatrix | ( | ) | `[inline]`

CvMatrix::CvMatrix | ( | int | rows,
|  | int | cols,
|  | int | type
| ) |  | `[inline]`

CvMatrix::CvMatrix | ( | int | rows,
|  | int | cols,
|  | int | type,
|  | CvMat * | hdr,
|  | void * | data = `0`,
|  | int | step = `CV_AUTOSTEP`
| ) |  | `[inline]`

CvMatrix::CvMatrix | ( | int | rows,
|  | int | cols,
|  | int | type,
|  | CvMemStorage * | storage,
|  | bool | alloc_data = `true`
| ) |  |

CvMatrix::CvMatrix | ( | int | rows,
|  | int | cols,
|  | int | type,
|  | void * | data,
|  | int | step = `CV_AUTOSTEP`
| ) |  | `[inline]`

CvMatrix::CvMatrix | ( | CvMat * | m ) | `[inline]`

CvMatrix::CvMatrix | ( | const CvMatrix & | m ) | `[inline]`

CvMatrix::CvMatrix | ( | const char * | filename,
|  | const char * | matname = `0`,
|  | int | color = `-1`
| ) |  | `[inline]`

CvMatrix::CvMatrix | ( | CvFileStorage * | fs,
|  | const char * | mapname,
|  | const char * | matname
| ) |  | `[inline]`

CvMatrix::CvMatrix | ( | CvFileStorage * | fs,
|  | const char * | seqname,
|  | int | idx
| ) |  | `[inline]`

CvMatrix::~CvMatrix | ( | ) | `[inline]`

## Member Function Documentation

void CvMatrix::addref | ( | ) | const`[inline]`

int CvMatrix::channels | ( | ) | const`[inline]`

void CvMatrix::clear | ( | ) | `[inline]`

CvMatrix CvMatrix::clone | ( | ) | `[inline]`

int CvMatrix::cols | ( | ) | const`[inline]`

void CvMatrix::create | ( | int | rows,
|  | int | cols,
|  | int | type
| ) |  | `[inline]`

uchar* CvMatrix::data | ( | ) | `[inline]`

const uchar* CvMatrix::data | ( | ) | const`[inline]`

int CvMatrix::depth | ( | ) | const`[inline]`

bool CvMatrix::is_valid | ( | ) | `[inline]`

bool CvMatrix::load | ( | const char * | filename,
|  | const char * | matname = `0`,
|  | int | color = `-1`
| ) |  |

CvMatrix::operator const CvMat * | ( | ) | const`[inline]`

CvMatrix::operator CvMat * | ( | ) | `[inline]`

CvMatrix& CvMatrix::operator= | ( | const CvMatrix & | _m ) | `[inline]`

int CvMatrix::pix_size | ( | ) | const`[inline]`

bool CvMatrix::read | ( | CvFileStorage * | fs,
|  | const char * | mapname,
|  | const char * | matname
| ) |  |

bool CvMatrix::read | ( | CvFileStorage * | fs,
|  | const char * | seqname,
|  | int | idx
| ) |  |

void CvMatrix::release | ( | ) | `[inline]`

uchar* CvMatrix::row | ( | int | i ) | `[inline]`

const uchar* CvMatrix::row | ( | int | i ) | const`[inline]`

int CvMatrix::rows | ( | ) | const`[inline]`

void CvMatrix::save | ( | const char * | filename,
|  | const char * | matname,
|  | const int * | params = `0`
| ) |  |

void CvMatrix::set | ( | CvMat * | m,
|  | bool | add_ref
| ) |  | `[inline]`

void CvMatrix::set_data | ( | void * | data,
|  | int | step = `CV_AUTOSTEP`
| ) |  | `[inline]`

void CvMatrix::show | ( | const char * | window_name ) |

CvSize CvMatrix::size | ( | ) | const`[inline]`

int CvMatrix::step | ( | ) | const`[inline]`

int CvMatrix::type | ( | ) | const`[inline]`

void CvMatrix::write | ( | CvFileStorage * | fs,
|  | const char * | matname
| ) |  |

## Member Data Documentation

CvMat* CvMatrix::matrix`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/legacy.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines